# coding: shift-jis

import clr
clr.AddReference("System.Windows.Forms")
from   System.Windows.Forms import *


MENU_TEXT_EXIT       =  'I(&Q)'
MENU_TEXT_README     =  'Readme(&R)\tF1'
MENU_TEXT_CHGFONT    =  'tHgύX\tCtrl+F'
MENU_TEXT_CHGBGCLR   =  'wiFύX\tCtrl+B'
MENU_TEXT_CHGFGCLR   =  'FύX\tCtrl+T'
MENU_TEXT_SRKXPD     =  ' / L\tF4'
MENU_TEXT_XPDALL     =  'ׂčL(&E)\tF3'
MENU_TEXT_SRKALL     =  'ׂĂ(&S)\tF2'
MENU_TEXT_FRONTALL   =  'ׂđOʂ(&M)\tF12'
MENU_TEXT_NEXTMEMO   =  '̃\tF11'
MENU_TEXT_DELETE     =  '폜\tAlt+F4'
MENU_TEXT_SAVEALL    =  'ׂĕۑ(&V)\tCtrl+Shift+S'
MENU_TEXT_SAVE       =  'ۑ\tCtrl+S'
MENU_TEXT_NEWCLIP    =  'Nbv{[heLXgŐVK(&B)\tCtrl+P'
MENU_TEXT_NEW        =  'VK(&N)\tCtrl+N'
MENU_TEXT_CANCEL     =  'LZ(&C)'
MENU_TEXT_BORDER     =  '-'

_list_icon_menu_text =  []
_list_icon_menu_text.append(MENU_TEXT_EXIT)
_list_icon_menu_text.append(MENU_TEXT_BORDER)
_list_icon_menu_text.append(MENU_TEXT_README)
_list_icon_menu_text.append(MENU_TEXT_BORDER)
_list_icon_menu_text.append(MENU_TEXT_CHGFONT)
_list_icon_menu_text.append(MENU_TEXT_CHGBGCLR)
_list_icon_menu_text.append(MENU_TEXT_CHGFGCLR)
_list_icon_menu_text.append(MENU_TEXT_BORDER)
_list_icon_menu_text.append(MENU_TEXT_SRKXPD)
_list_icon_menu_text.append(MENU_TEXT_XPDALL)
_list_icon_menu_text.append(MENU_TEXT_SRKALL)
_list_icon_menu_text.append(MENU_TEXT_FRONTALL)
_list_icon_menu_text.append(MENU_TEXT_NEXTMEMO)
_list_icon_menu_text.append(MENU_TEXT_BORDER)
_list_icon_menu_text.append(MENU_TEXT_DELETE)
_list_icon_menu_text.append(MENU_TEXT_SAVEALL)
_list_icon_menu_text.append(MENU_TEXT_SAVE)
_list_icon_menu_text.append(MENU_TEXT_NEWCLIP)
_list_icon_menu_text.append(MENU_TEXT_NEW)
_list_icon_menu_text.append(MENU_TEXT_BORDER)
_list_icon_menu_text.append(MENU_TEXT_CANCEL)

_list_memo_menu_text =  _list_icon_menu_text[:]    # Rs[
_list_memo_menu_text.reverse()                     # я]


class CmemoIconCmdMenu(ContextMenu):

   IDX_ICON_MENU_CHGFONT   =  4
   IDX_ICON_MENU_CHGBGCLR  =  5
   IDX_ICON_MENU_CHGFGCLR  =  6
   IDX_ICON_MENU_SRKXPD    =  8
   IDX_ICON_MENU_NEXTMEMO  =  12
   IDX_ICON_MENU_DELETE    =  14
   IDX_ICON_MENU_SAVE      =  16

   IDX_ICON_MENU_EXIT      =  0
   IDX_ICON_MENU_README    =  2
   IDX_ICON_MENU_XPDALL    =  9
   IDX_ICON_MENU_SRKALL    =  10
   IDX_ICON_MENU_FRONTALL  =  11
   IDX_ICON_MENU_SAVEALL   =  15
   IDX_ICON_MENU_NEWCLIP   =  17
   IDX_ICON_MENU_NEW       =  18
   
   
   def __init__(self):
   
      super(CmemoIconCmdMenu, self).__init__()
   
      # gCACRpj[쐬 #
      for text in _list_icon_menu_text:
         item        =  MenuItem()
         item.Text   =  text
         if text == MENU_TEXT_CHGFONT:
            item.Enabled   =  False
         elif text == MENU_TEXT_CHGBGCLR:
            item.Enabled   =  False
         elif text == MENU_TEXT_CHGFGCLR:
            item.Enabled   =  False
         elif text == MENU_TEXT_SRKXPD:
            item.Enabled   =  False
         elif text == MENU_TEXT_NEXTMEMO:
            item.Enabled   =  False
         elif text == MENU_TEXT_DELETE:
            item.Enabled   =  False
         elif text == MENU_TEXT_SAVE:
            item.Enabled   =  False
         self.MenuItems.Add(item)

      
class CmemoMemoCmdMenu(ContextMenu):

   IDX_MEMO_MENU_CHGFONT   =  16
   IDX_MEMO_MENU_CHGBGCLR  =  15
   IDX_MEMO_MENU_CHGFGCLR  =  14
   IDX_MEMO_MENU_SRKXPD    =  12
   IDX_MEMO_MENU_NEXTMEMO  =  8
   IDX_MEMO_MENU_DELETE    =  6
   IDX_MEMO_MENU_SAVE      =  4

   IDX_MEMO_MENU_EXIT      =  20
   IDX_MEMO_MENU_README    =  18
   IDX_MEMO_MENU_XPDALL    =  11
   IDX_MEMO_MENU_SRKALL    =  10
   IDX_MEMO_MENU_FRONTALL  =  9
   IDX_MEMO_MENU_SAVEALL   =  5
   IDX_MEMO_MENU_NEWCLIP   =  3
   IDX_MEMO_MENU_NEW       =  2
   
   
   def __init__(self):
   
      super(CmemoMemoCmdMenu, self).__init__()
   
      # tH[pj[쐬 #
      for text in _list_memo_menu_text:
         item        =  MenuItem()
         item.Text   =  text
         self.MenuItems.Add(item)
