# coding: shift-jis

import clr
clr.AddReference('System.Windows.Forms')
clr.AddReference('System.Drawing')
from   System.Windows.Forms import *
import System.Drawing
import System.IO

from   cmemo_app     import *
from   cmemo_cmdmenu import *
from   cmemo_memo    import *


class CmemoNotifyIcon:

   NAME_ICON   =  'cmemo_nicon.ico'
   
   # ꗗj[𐳂ʒuɕ\邽߂ɎgBtH[ #
   _form                =  Form()
   _form.Width          =  0
   _form.Height         =  0
   _form.ClientSize     =  System.Drawing.Size(0, 0)
   _form.Text           =  CmemoApp.TEXT_APP_NAME
   _form.ShowInTaskbar  =  False
   _form.Opacity        =  0        # Sɓ

   
   def __init__(self):
      # ACR擾 #
      path  =  CmemoApp.DIR_EXE + System.IO.Path.DirectorySeparatorChar + CmemoNotifyIcon.NAME_ICON
      icon  =  System.Drawing.Icon(path)

      # gCACR쐬 #
      self._nicon       =  NotifyIcon()
      self._nicon.Icon  =  icon
      self._nicon.Text  =  CmemoApp.TEXT_APP_NAME + ' ' + CmemoApp.TEXT_APP_VER

      # gCACRpj[쐬 #
      menu  =  CmemoIconCmdMenu()
      menu.MenuItems[CmemoIconCmdMenu.IDX_ICON_MENU_EXIT].Click      += CmemoMemo.OnMenuExit
      menu.MenuItems[CmemoIconCmdMenu.IDX_ICON_MENU_README].Click    += CmemoMemo.OnMenuReadme
      menu.MenuItems[CmemoIconCmdMenu.IDX_ICON_MENU_XPDALL].Click    += CmemoMemo.OnMenuExpandAll
      menu.MenuItems[CmemoIconCmdMenu.IDX_ICON_MENU_SRKALL].Click    += CmemoMemo.OnMenuShrinkAll
      menu.MenuItems[CmemoIconCmdMenu.IDX_ICON_MENU_FRONTALL].Click  += CmemoMemo.OnMenuMoveAllToFront
      menu.MenuItems[CmemoIconCmdMenu.IDX_ICON_MENU_SAVEALL].Click   += CmemoMemo.OnMenuSaveAll
      menu.MenuItems[CmemoIconCmdMenu.IDX_ICON_MENU_NEWCLIP].Click   += CmemoMemo.OnMenuCreateFromClipboard
      menu.MenuItems[CmemoIconCmdMenu.IDX_ICON_MENU_NEW].Click       += CmemoMemo.OnMenuCreate
      self._nicon.ContextMenu  =  menu
      
      self._nicon.Click        += self._OnClick
      self._nicon.Visible      =  True
      
      
   def Hide(self):
      self._nicon.Visible   =  False
      
      
   #------------------#
   # Cxgnh #
   #------------------#
   
   def _OnClick(self, obj, eargs):
      if eargs.Button == MouseButtons.Middle:
         # ̏̕Windows̃}EXRg[pl̃zC[NbN
         # ݒ肪iI[gXN[ĵ܂܂ɂȂĂȂƎsȂB
         CmemoNotifyIcon._form.Show()       # j[̐퓮̂߂ɕKv
         CmemoNotifyIcon._form.Activate()   # j[̐퓮̂߂ɕKv
         MessageBox.Show('_OnWheelClick')
         CmemoNotifyIcon._form.Hide()       # Alt+TabL[ŕ\EBhEꗗɕ\Ȃ悤
         return
      if eargs.Button == MouseButtons.Left:
         # ꗗj[\ #
         CmemoNotifyIcon._form.ContextMenu  =  CmemoMemo.GetMemoListMenu(CmemoMemo.MENU_OWNER_ICON)
         CmemoNotifyIcon._form.Show()       # j[̐퓮̂߂ɕKv
         CmemoNotifyIcon._form.Activate()   # j[̐퓮̂߂ɕKv
         CmemoNotifyIcon._form.ContextMenu.Show(CmemoNotifyIcon._form, CmemoNotifyIcon._form.PointToClient(Cursor.Position))
         CmemoNotifyIcon._form.Hide()       # Alt+TabL[ŕ\EBhEꗗɕ\Ȃ悤
